<?php

namespace Teknisa\MAN\Services;

use Teknisa\MAN\Utilities\Query;
use Doctrine\ORM\EntityManager;
use Teknisa\MAN\Utilities;


class CustomizacaoTAAservice {

	

	public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
		$this->connection = $entityManager->getConnection();
    }
    

	public function saveColors($paramsCores){
		$checaCores = $this->entityManager->getConnection()->fetchAll(self::CHECK_CORES, $paramsCores);
		
		if (isset(($checaCores[0][1]))){
			$statement = $this->entityManager->getConnection()->prepare(self::UPDATE_COLORS);
			$statement->bindParam(':CORESJSON', $paramsCores['CORESJSON'], \PDO::PARAM_LOB);
			$statement->bindParam(':NRORG',				 $paramsCores['NRORG'],			  \PDO::PARAM_INT);
			$statement->execute();
		}
		else {
			$statement = $this->entityManager->getConnection()->prepare(self::INSERT_COLORS);
			$statement->bindParam(':CORESJSON', $paramsCores['CORESJSON'], \PDO::PARAM_LOB);
			$statement->bindParam(':NRORG',				 $paramsCores['NRORG'],			  \PDO::PARAM_INT);
			$statement->execute();
		}
	
	}
	
	const CHECK_CORES = "
	SELECT 1 FROM CUSTOMIZACAOTAAMOBILE WHERE NRORG = :NRORG
	";

	const UPDATE_COLORS = "
	UPDATE CUSTOMIZACAOTAAMOBILE
		SET CORESJSON = :CORESJSON
		WHERE NRORG = :NRORG
	";
	
	const INSERT_COLORS =
	"INSERT INTO CUSTOMIZACAOTAAMOBILE
	(CORESJSON, NRORG)
	VALUES
	(:CORESJSON, :NRORG)
	";
	
	public function saveImages($paramsImagens){
		$checaImagens = $this->entityManager->getConnection()->fetchAll(self::CHECK_IMAGES, $paramsImagens);
		if(isset($checaImagens[0])){
			$statement = $this->entityManager->getConnection()->prepare(self::UPDATE_IMAGES);
			$statement->bindParam(':JSONB64CUSTOMMEDIA', $paramsImagens['JSONB64CUSTOMMEDIA'], \PDO::PARAM_LOB);
			$statement->bindParam(':NRORG',				 $paramsImagens['NRORG'],			  \PDO::PARAM_INT);
			$statement->execute();
		}
		
		else{
			$statement = $this->entityManager->getConnection()->prepare(self::INSERT_IMAGES);
			$statement->bindParam(':JSONB64CUSTOMMEDIA', $paramsImagens['JSONB64CUSTOMMEDIA'], \PDO::PARAM_LOB);
			$statement->bindParam(':NRORG',				 $paramsImagens['NRORG'],			  \PDO::PARAM_INT);
			$statement->execute();
		}
		
	
	}
	
	
	const CHECK_IMAGES = "
	SELECT 1 FROM CUSTOMIZACAOTAAMOBILE WHERE NRORG = :NRORG
	";

	const UPDATE_IMAGES = "
		UPDATE CUSTOMIZACAOTAAMOBILE
		SET JSONB64CUSTOMMEDIA = :JSONB64CUSTOMMEDIA
		WHERE NRORG = :NRORG
	";
	
	const INSERT_IMAGES =
	"INSERT INTO CUSTOMIZACAOTAAMOBILE
	(JSONB64CUSTOMMEDIA, NRORG)
	VALUES
	(:JSONB64CUSTOMMEDIA, :NRORG)
	";
	 
}